Bug 1366747 - RHN Channel mapping file '/usr/share/rhsm/product/RHEL-7/channel-cert-mapping.txt' does NOT account for RHN base channel 'rhel-ppc64le-server-7'
Summary: RHN Channel mapping file '/usr/share/rhsm/product/RHEL-7/channel-cert-mapping...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: subscription-manager-migration-data
Version: 7.3
Hardware: ppc64le
OS: Unspecified
unspecified
high
Target Milestone: rc
: ---
Assignee: vritant
QA Contact: John Sefler
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-12 17:05 UTC by John Sefler
Modified: 2016-11-03 20:30 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-03 20:30:47 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2592 normal SHIPPED_LIVE Moderate: subscription-manager security, bug fix, and enhancement update 2016-11-03 12:10:42 UTC

Description John Sefler 2016-08-12 17:05:00 UTC
Description of problem:

WARNING: RHN Channel mapping file '/usr/share/rhsm/product/RHEL-7/channel-cert-mapping.txt' does NOT account for RHN base channel 'rhel-ppc64le-server-7'.

There is no mapping for RHN channel 'rhel-ppc64le-server-7' to ppc64le product cert 279.pem.


Version-Release number of selected component (if applicable):
[root@jsefler-rhel7 ~]# rpm -q subscription-manager-migration-data
subscription-manager-migration-data-2.0.30-1.el7.noarch


How reproducible:


Steps to Reproduce:
[root@jsefler-rhel7 ~]# egrep ^rhel-.*-server-7: /usr/share/rhsm/product/RHEL-7/channel-cert-mapping.txt
rhel-aarch64-server-7: Server-Server-aarch64-a31e45d7ba21-294.pem
rhel-ppc64-server-7: Server-Server-ppc64-c5d1886111a3-74.pem
rhel-s390x-server-7: Server-Server-s390x-fcb52db51c93-72.pem
rhel-x86_64-server-7: Server-Server-x86_64-9504e60fcb1a-69.pem


Actual results:
  above

Expected results:
  also expected the grep to find
rhel-ppc64le-server-7: Server-Server-ppc64le-30aa3debf758-279.pem

Additional info:
The fix for this bug depends on an update to upstream
http://git.app.eng.bos.redhat.com/git/rcm/rcm-metadata.git/tree/cdn/product-certs.json

Comment 4 Shwetha Kallesh 2016-08-29 12:58:56 UTC
Mapping for RHN channel 'rhel-ppc64le-server-7' to ppc64le product cert 279.pem is found 

-bash-4.2# rpm -qa | grep migration-data
subscription-manager-migration-data-2.0.31-1.el7.noarch


-bash-4.2# egrep ^rhel-.*-server-7: /usr/share/rhsm/product/RHEL-7/channel-cert-mapping.txt
rhel-aarch64-server-7: Server-Server-aarch64-a31e45d7ba21-294.pem
rhel-ppc64-server-7: Server-Server-ppc64-c5d1886111a3-74.pem
rhel-ppc64le-server-7: Server-Server-ppc64le-30aa3debf758-279.pem 
rhel-s390x-server-7: Server-Server-s390x-fcb52db51c93-72.pem
rhel-x86_64-server-7: Server-Server-x86_64-9504e60fcb1a-69.pem

Comment 6 errata-xmlrpc 2016-11-03 20:30:47 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2592.html


Note You need to log in before you can comment on or make changes to this bug.